Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.config.localsearch
Class LocalSearchSolverPhaseConfig

    java.lang.Object
      org.drools.planner.config.phase.SolverPhaseConfig
          org.drools.planner.config.localsearch.LocalSearchSolverPhaseConfig

    public class LocalSearchSolverPhaseConfig

extends SolverPhaseConfig

Constructor Summary
`LocalSearchSolverPhaseConfig()`

Method Summary
`LocalSearchSolverPhase` | `buildSolverPhase(EnvironmentMode environmentMode, SolutionDescriptor solutionDescriptor, ScoreDefinition scoreDefinition, Termination solverTermination)`
`AcceptorConfig` | `getAcceptorConfig()`
`DeciderScoreComparatorFactoryConfig` | `getDeciderScoreComparatorFactoryConfig()`
`ForagerConfig` | `getForagerConfig()`
`SelectorConfig` | `getSelectorConfig()`
`void` | `inherit(LocalSearchSolverPhaseConfig inheritedConfig)`
`void` | `setAcceptorConfig(AcceptorConfig acceptorConfig)`
`void` | `setDeciderScoreComparatorFactoryConfig(DeciderScoreComparatorFactoryConfig deciderScoreComparatorFactoryConfig)`
`void` | `setForagerConfig(ForagerConfig foragerConfig)`
`void` | `setSelectorConfig(SelectorConfig selectorConfig)`

Methods inherited from class org.drools.planner.config.phase.SolverPhaseConfig
`configureSolverPhase, getTerminationConfig, inherit, setTerminationConfig`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalSearchSolverPhaseConfig

    public LocalSearchSolverPhaseConfig()

Method Detail

### getDeciderScoreComparatorFactoryConfig

    public DeciderScoreComparatorFactoryConfig getDeciderScoreComparatorFactoryConfig()

### setDeciderScoreComparatorFactoryConfig

    public void setDeciderScoreComparatorFactoryConfig(DeciderScoreComparatorFactoryConfig deciderScoreComparatorFactoryConfig)

### getSelectorConfig

    public SelectorConfig getSelectorConfig()

### setSelectorConfig

    public void setSelectorConfig(SelectorConfig selectorConfig)

### getAcceptorConfig

    public AcceptorConfig getAcceptorConfig()

### setAcceptorConfig

    public void setAcceptorConfig(AcceptorConfig acceptorConfig)

### getForagerConfig

    public ForagerConfig getForagerConfig()

### setForagerConfig

    public void setForagerConfig(ForagerConfig foragerConfig)

### buildSolverPhase

    public LocalSearchSolverPhase buildSolverPhase(EnvironmentMode environmentMode,
                                                   SolutionDescriptor solutionDescriptor,
                                                   ScoreDefinition scoreDefinition,
                                                   Termination solverTermination)

  Specified by:
    `buildSolverPhase` in class `SolverPhaseConfig`

### inherit

    public void inherit(LocalSearchSolverPhaseConfig inheritedConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.